/*
** AmiRecRSave.ced 
**
** $AmiRecRSave 1.0 (07.09.94), written by Janne Saarme.
**
** This script is an ARexx program for communicating with CED.
** Requires CygnusEd Professional v3.5 (or later) to run.
** 
**
** What this do? 
**		To pipe "order" for AmiRec.
**
** How to install script?
**
** Edit this script for your needs and save it in ARexx directory.
**
** Select Special
**
**	Dos/Arexx interface
**	Install dos/Arexx command...
**
**   from CED. Enter the function key number you want to assign.
**   Give AmiRecRSave and ENTER.
**
**   If you wish to save these commands, select "Save Dos/ARexx commands..."
**
*/

/* Path and filename of tempfile */
savefile = 'Ram:TempFile'		

/* Path and filename of header */
/* If you do not want to use header, skip this (do not remove header line */
header   = 'Texts:UUcp/RecentHeader'

/* Path and filename of output */
output   = 'Ram:getfiles'

/* Path and filename of Amirec */
program  = 'Bin:AmiRec '

OPTIONS RESULTS


/* Set the default port name so that commands go to CED. */
ADDRESS "rexx_ced"

SAVE AS savefile
ADDRESS "COMMAND" program savefile output header

/* Load outputfile or quit */
OKAY2 "Do you want to load "output" ?"
if (RESULT = 1) THEN
    OPEN 
ELSE

EXIT 0

